
/* New Css */
.jumbotron,.footer,.footer-bottom {display: none;} 
.location-map {display: inline-block;width: 100%;height: 100%;} 
#map {position: absolute; top: 90px; bottom: 0; left: 0px; right: 0; }
#sidebar {position: fixed;top: 120px;left: 0;bottom: 0;width: 300px;padding: 15px;overflow-y: auto;box-sizing: border-box;z-index: 9;}
#sidebar h3 {margin-top: 0; }
.accordion {margin-top: 10px;background: #593635;color: white;padding: 10px;cursor: pointer;border: none;text-align: left;outline: none;font-size: 13px;
width: 100%; position: relative;font-family: "Quicksand", sans-serif;text-transform: uppercase;}
#nearby .accordion {margin-top: 8px;background: none;color: #593635; border-bottom: 1px solid #593635; text-transform: capitalize;}
.g-bg {background: #f1f1f1;}
.panel {padding: 10px 10px 0px;display: none;background-color: #f1f1f1;overflow: hidden;}
.panel div {padding: 8px;font-size: 12px;cursor: pointer;border-bottom: 1px solid #ddd;}
.panel div:last-child{border-bottom: 0px;}
.panel div:hover {background-color: #ddd;}
.logo-row {display: flex;background: #fff;align-items: center;justify-content: space-between;}
.responsive-menu-icon {display: block;cursor: pointer;width: 70px;height: 65px;padding: 14px 15px;box-sizing: border-box;}
.bar1, .bar2, .bar3 {width: 30px; height: 3px;background-color: #593635;margin: 8px 0;transition: 0.4s;}
.logo-i {padding-right: 15px;}
.logo-i a {display: inline-block; width: 100%; }
.logo-i a img {max-width: 75%;}
.nearby {background: #593635;color: #fff;padding: 8px 10px;font-size: 14px;position: relative;margin-top: 10px;font-family: "Quicksand", sans-serif;}
.nearby:after,.accordion:after {content: "";position: absolute;right: 10px;top: 12px;font-size: 25px;font-weight: 200; color: #fff;height: 11px;width: 24px;
background: url(../img/menu-arrow.png) center center no-repeat;background-size: 50%;transition: all 1s ease 0s;}
#nearby .accordion:after {background: url(../img/menu-arrow2.png) center center no-repeat;background-size: 50%;}
.nearby.active:after,.accordion.active:after {-webkit-transform: rotate(-180deg);-ms-transform: rotate(-180deg); transform: rotate(-180deg);}
.top-right {display: inline-block; right: 20px;bottom: 10px;position: fixed;z-index: 2;}
.top-right a, .top-right .btn {margin: 2px;display: inline-block;width: 36px;height: 36px;background-color: #333333;border-radius: 5px;cursor: pointer;}
.top-right a img, .top-right .btn img {display: block;width: 100%;padding: 6px;transition: all 0.5s ease-in 0s;}

.maplibregl-ctrl-bottom-right{display: none;}
.modal { display: none;  position: fixed;top: 0;right: 0;bottom: 0;left: 0;text-align: left;background: rgba(0, 0, 0, .6);transition: opacity .25s ease;z-index: 9999;}
.modal.open {display: block;}
.modal-content {transition: top .25s ease;position: absolute;top: -20%;right: 0;bottom: 0;left: 0;width: 90%; margin: auto;overflow: auto;background: #111;border-radius: 10px;padding: 1em 2em;height: 80%;color: #fff;}
.modal.open .modal-content {top: 0;}
.close { position: absolute; top: 10px; right: 15px; font-size: 22px; cursor: pointer; }
.mapboxgl-popup-content {font-weight: bold;text-align: center;font-family: 'Arial', sans-serif;padding: 5px 20px 5px 10px;border-radius: 8px;box-shadow: 0 3px 10px rgba(0, 0, 0, 0.2);}
.mapboxgl-popup-close-button {font-size: 18px;padding: 5px 5px; outline: 0;}
.d-toggle::after{display: none;}
.full-screen-section {width: 100%;display: flex;align-items: center;justify-content: center;background-color: #000;}
.full-screen-section video {object-fit: cover;width: 100%; max-width: 100%; height: 100%;}
.maplibregl-popup-tip.mapboxgl-popup-tip {margin-top: -1px;}
.popup-pulse {animation: popupPulse 1.5s infinite;font-weight: bold; font-size: 16px;color: red;}
.distance-info {position: absolute;bottom: 20px;left: 320px; background: white;padding: 8px 12px;border-radius: 4px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); z-index: 1; font-size: 14px;}
.amb-site {display: none;position: absolute;top: 90px;bottom: 0;left: 0px;right: 0;}
.video-wrapper {width: 100%;height: 100%;box-sizing: border-box;}
.close-video {position: absolute;top: 0px;right: 0px;background: #000;color: #fff;border: none;font-size: 22px;padding: 5px 12px;cursor: pointer;border-radius: 0%;}
.video-wrapper video {position: fixed; bottom: 0px;}
/* .location-map {position: relative;width: 100%;display: inline-block;} */

@keyframes popupPulse {
  0% {text-shadow: 0 0 0px red; transform: scale(1);}
  50% {text-shadow: 0 0 8px red; transform: scale(1.05);}
  100% {text-shadow: 0 0 0px red; transform: scale(1);}
}

/* For Gallery Use */
/* .slider {position: relative;width: 100%;overflow: hidden;border-radius: 10px;box-shadow: 0 0 10px rgba(0,0,0,0.2);}
.slides {display: flex;transition: transform 0.5s ease-in-out;width: 100%;}
.slide {min-width: 100%;}
.slide img {width: 100%;display: block;border-radius: 10px;}
.nav {position: absolute;top: 50%; width: 100%;display: flex;justify-content: space-between;transform: translateY(-50%);}
.nav button {background: rgba(0,0,0,0.5);border: none;color: white;font-size: 24px;padding: 8px 16px;cursor: pointer;border-radius: 4px;}
.nav button:hover {background: rgba(0,0,0,0.7);}
#galleryModal .modal-content {height: 100%;} */

#menuToggle {display: none;position: absolute;top: 22px;left: 15px;z-index: 1001;background: #fff;border: none;padding: 5px 10px;cursor: pointer;height:52px;border-radius: 8px;}
.maplibregl-marker.mapboxgl-marker svg{animation: blink 1s infinite;}
#locationTabs div.active {background: #ddd; font-weight: 600;}
@keyframes blink {
  0% { opacity: 1; transform: scale(1); }
  50% { opacity: 0.8; transform: scale(1.3); }
  100% { opacity: 1; transform: scale(1); }
}

@media (max-width: 768px) {
    #menuToggle {display: block;}
    #sidebar {transition: left 0.3s ease;/*z-index: 1000;*/}
    #sidebar.open {left: 0;}
    #map {left: 0;}
    .video-wrapper video {height: 100%;}
}